Draft SelectPlane

From FreeCAD Documentation
Revision as of 14:51, 1 September 2012 by Yorik (talk | contribs) (Created page with '{{GuiCommand|Name=Draft SelectPlane|Workbenches=Draft, Arch|MenuLocation=Draft -> Select Plane}} ==Description== The Draft module features a wo…')
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Draft SelectPlane

Menu location
Draft -> Select Plane
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Draft module features a working plane system, that allows you to specify a custom plane in the 3D space on which next Draft command will occur. There are several methods to define the working plane:

  • From a selected face
  • From the current view
  • From a preset: top, frontal or lateral
  • None, in which case the working plane is adapted automatically to the current view when you start a command, or to a face if you start drawing on an existing face.

How to use

  1. Press the Draft SelectPlane button

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the Draft SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the NONE will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.

Scripting

Working plane objects can easily be created and manipulated in scripts and macros. You can create your own, and use them independently of the current Draft working plane.

Example:

import WorkingPlane
myPlane = WorkingPlane.plane()

You can also access the current Draft working plane:

import FreeCAD
draftPlane = FreeCAD.DraftWorkingPlane

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.